# Class VenmoAccountPayload

#### Hierarchy

- unknown
  - VenmoAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4604
- Defined in src/protobuf/pb_pb.d.ts:4616

#####
Index

### Constructors

constructor

### Methods

getEmailOrMobileNrOrUsername
serializeBinary
setEmailOrMobileNrOrUsername
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new VenmoAccountPayload(): VenmoAccountPayload

- #### Returns VenmoAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getEmailOrMobileNrOrUsername

- getEmailOrMobileNrOrUsername(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4605

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4608

### setEmailOrMobileNrOrUsername

- setEmailOrMobileNrOrUsername(value: string): VenmoAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns VenmoAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4606

### toObject

- toObject(includeInstance?: boolean): VenmoAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns VenmoAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4609

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): VenmoAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns VenmoAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4612

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: VenmoAccountPayload, reader: BinaryReader): VenmoAccountPayload

- #### Parameters

  - ##### message: VenmoAccountPayload

  - ##### reader: BinaryReader

  #### Returns VenmoAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4613

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: VenmoAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: VenmoAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4611

### `Static` toObject

- toObject(includeInstance: boolean, msg: VenmoAccountPayload): VenmoAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: VenmoAccountPayload

  #### Returns VenmoAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4610

Generated using TypeDoc